net.sf.jasperreports.swing

## Class JRViewerToolbar

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - net.sf.jasperreports.swing.JRViewerToolbar

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, JRViewerListener

      public class JRViewerToolbar
      extends javax.swing.JPanel
      implements JRViewerListener

  Version:
    $Id: JRViewerToolbar.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.JToggleButton` | `btnActualSize`
    `protected javax.swing.JButton` | `btnFirst`
    `protected javax.swing.JToggleButton` | `btnFitPage`
    `protected javax.swing.JToggleButton` | `btnFitWidth`
    `protected javax.swing.JButton` | `btnLast`
    `protected javax.swing.JButton` | `btnNext`
    `protected javax.swing.JButton` | `btnPrevious`
    `protected javax.swing.JButton` | `btnPrint`
    `protected javax.swing.JButton` | `btnReload`
    `protected javax.swing.JButton` | `btnSave`
    `protected javax.swing.JButton` | `btnZoomIn`
    `protected javax.swing.JButton` | `btnZoomOut`
    `protected javax.swing.JComboBox` | `cmbZoom`
    `protected int` | `defaultZoomIndex`
    `protected java.io.File` | `lastFolder`
    `protected JRSaveContributor` | `lastSaveContributor`
    `protected float` | `MAX_ZOOM`
    `protected float` | `MIN_ZOOM`
    `protected javax.swing.JPanel` | `pnlSep01`
    `protected javax.swing.JPanel` | `pnlSep02`
    `protected javax.swing.JPanel` | `pnlSep03`
    `protected java.util.List<JRSaveContributor>` | `saveContributors`
    `protected javax.swing.JTextField` | `txtGoTo`
    `protected JRViewerController` | `viewerContext`
    `protected java.text.DecimalFormat` | `zoomDecimalFormat`
    `protected int[]` | `zooms`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRViewerToolbar(JRViewerController viewerContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComponentKeyListener(java.awt.event.KeyListener listener)`
    `void` | `addSaveContributor(JRSaveContributor contributor)`
    `protected void` | `fitPage()`
    `protected void` | `fitWidth()`
    `JRSaveContributor[]` | `getSaveContributors()`
    `protected float` | `getZoomRatio()`
    `void` | `init()`
    `protected void` | `initSaveContributors()`
    `boolean` | `isFitPage()`
    `boolean` | `isFitWidth()`
    `protected void` | `pageChanged()`
    `protected void` | `refreshPage()`
    `void` | `removeSaveContributor(JRSaveContributor contributor)`
    `protected void` | `reportLoaded()`
    `void` | `setFitWidth()`
    `void` | `setSaveContributors(JRSaveContributor[] saveContributors)` Replaces the save contributors with the ones provided as parameter.
    `void` | `viewerEvent(JRViewerEvent event)`
    `protected void` | `zoomChanged()`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### viewerContext

          protected final JRViewerController viewerContext

    - #### MIN_ZOOM

          protected final float MIN_ZOOM

      See Also:
        Constant Field Values

    - #### MAX_ZOOM

          protected final float MAX_ZOOM

      See Also:
        Constant Field Values

    - #### zooms

          protected int[] zooms

    - #### defaultZoomIndex

          protected int defaultZoomIndex

    - #### saveContributors

          protected java.util.List<JRSaveContributor> saveContributors

    - #### lastFolder

          protected java.io.File lastFolder

    - #### lastSaveContributor

          protected JRSaveContributor lastSaveContributor

    - #### zoomDecimalFormat

          protected java.text.DecimalFormat zoomDecimalFormat

    - #### btnActualSize

          protected javax.swing.JToggleButton btnActualSize

    - #### btnFirst

          protected javax.swing.JButton btnFirst

    - #### btnFitPage

          protected javax.swing.JToggleButton btnFitPage

    - #### btnFitWidth

          protected javax.swing.JToggleButton btnFitWidth

    - #### btnLast

          protected javax.swing.JButton btnLast

    - #### btnNext

          protected javax.swing.JButton btnNext

    - #### btnPrevious

          protected javax.swing.JButton btnPrevious

    - #### btnPrint

          protected javax.swing.JButton btnPrint

    - #### btnReload

          protected javax.swing.JButton btnReload

    - #### btnSave

          protected javax.swing.JButton btnSave

    - #### btnZoomIn

          protected javax.swing.JButton btnZoomIn

    - #### btnZoomOut

          protected javax.swing.JButton btnZoomOut

    - #### cmbZoom

          protected javax.swing.JComboBox cmbZoom

    - #### pnlSep01

          protected javax.swing.JPanel pnlSep01

    - #### pnlSep02

          protected javax.swing.JPanel pnlSep02

    - #### pnlSep03

          protected javax.swing.JPanel pnlSep03

    - #### txtGoTo

          protected javax.swing.JTextField txtGoTo

  - ### Constructor Detail

    - #### JRViewerToolbar

          public JRViewerToolbar(JRViewerController viewerContext)

  - ### Method Detail

    - #### init

          public void init()

    - #### addComponentKeyListener

          public void addComponentKeyListener(java.awt.event.KeyListener listener)

    - #### getZoomRatio

          protected float getZoomRatio()

    - #### addSaveContributor

          public void addSaveContributor(JRSaveContributor contributor)

    - #### removeSaveContributor

          public void removeSaveContributor(JRSaveContributor contributor)

    - #### getSaveContributors

          public JRSaveContributor[] getSaveContributors()

    - #### setSaveContributors

          public void setSaveContributors(JRSaveContributor[] saveContributors)

      Replaces the save contributors with the ones provided as parameter.

    - #### initSaveContributors

          protected void initSaveContributors()

    - #### reportLoaded

          protected void reportLoaded()

    - #### refreshPage

          protected void refreshPage()

    - #### pageChanged

          protected void pageChanged()

    - #### zoomChanged

          protected void zoomChanged()

    - #### isFitPage

          public boolean isFitPage()

    - #### isFitWidth

          public boolean isFitWidth()

    - #### setFitWidth

          public void setFitWidth()

    - #### fitPage

          protected void fitPage()

    - #### fitWidth

          protected void fitWidth()

    - #### viewerEvent

          public void viewerEvent(JRViewerEvent event)

      Specified by:
        `viewerEvent` in interface `JRViewerListener`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com